#include <iostream>
#include <algorithm>
#include <queue>
#include <vector>
#include <cmath>
using namespace std;

using ll = long long;

const int NMAX = 3e5+5;

vector<pair<double, bool>> st;

int main()
{
    int N;
    double R;
    double A, B;
    cin >> N >> R >> A >> B;
    for(int i = 0; i < N; ++i) {
        /*
        ll pa, pb;
        cin >> pa >> pb;
        ll pap = A*pa + B*pb;
        ll pbp = A*pb - B*pa;
        if((A*A+B*B)*R*R - pbp*pbp >= 0) {
            pair<double, double> iv;
            double l = sqrt((A*A+B*B)*(R+1e-3)*(R+1e-3)-pbp*pbp);
            st.emplace_back(pap - l, true);
            st.emplace_back(pap + l, false);
        }
        */
        double c, d;
        cin >> c >> d;
        double AB2 = sqrt(A * A + B * B);
        A /= AB2;
        B /= AB2;

        double RR = R + 1e-5;
        double x = (A*A*c + A*B*d)/(A*A+B*B);
        double y = (A*B*c + B*B*d)/(A*A+B*B);
        double S = sqrt((c-x)*(c-x)+(d-y)*(d-y));
        if(S <= RR) {
            st.emplace_back(A * x + B * y-sqrt(RR*RR-S*S), true);
            st.emplace_back(A * x + B * y+sqrt(RR*RR-S*S), false);
        }
    }
    sort(st.begin(), st.end());
    int k = 0;
    int m = 0;
    for(auto p : st) {
        if(p.second) {
            k++;
            m = max(m, k);
        }
        else {
            k--;
        }
    }
    cout << m << "\n";
    return 0;
}
