#include <iostream>
#include <algorithm>

using namespace std;

string oldal[4] = {
    "top",
    "bottom",
    "left",
    "right",
};

int oid(string& s) {
    for(int i = 0; i < 4; i++) {
        if (s == oldal[i])
            return i;
    }
    return -1;
}

int main()
{
    ios::sync_with_stdio(false);
    int R, C, K;
    cin >> R >> C >> K;
    int x1 = R;
    int x2 = 0;
    int y1 = C;
    int y2 = 0;
    for(int i = 0; i < K; i++) {
        int x, y;
        cin >> x >> y;
        x1 = min(x1, x);
        x2 = max(x2, x);
        y1 = min(y1, y);
        y2 = max(y2, y);
    }
    int szamok[4];
    szamok[0] = x1 - 1;
    szamok[1] = R - x2;
    szamok[2] = y1 - 1;
    szamok[3] = C - y2;
    for(int i = 0; i < 4; i++) {
        cerr << szamok[i] << " ";
    }
    cerr << "\n";
    while(1) {
        int Xor = szamok[0] ^ szamok[1] ^ szamok[2] ^ szamok[3];
        if(Xor == 0) {
            cout << "pass" << endl;
        }
        else {
            for(int i = 0; i < 4; i++) {
                int d = szamok[i] - (szamok[i] ^ Xor);
                if(d > 0) {
                    cout << oldal[i] << " " << d << endl;
                    szamok[i] -= d;
                    break;
                }
            }
        }
        string s;
        cin >> s;
        int o = oid(s);
        if (o == -1)
            break;
        int k;
        cin >> k;
        szamok[o] -= k;
    }
}
